Rails

bundle install時に「An error occurred while installing sqlite3 (1.3.13), and Bundler cannot continue.」と言うエラーが出たときの対策法

railsアプリを作成するためにbundle installをする際に An error occurred while installing sqlite3 (1.3.13), and Bundler cannot continue. Make sure that `gem install sqlite3 -v '1.3.13' --source 'https://rubygems.org/'` succeeds before bundlin…

RubyやRailsをプロジェクト毎に入れて管理する方法

rubyとrailsをプロジェクト毎にバージョンを分ける時のメモ。 一応、rubyのバージョン切り替えにはrbenvを使っていて、gemの管理はbundlerにしています。

Rails5で作ったアプリをHerokuでデプロイする手順

Herokuにデプロイする度に一から調べなおすのも面倒なので、メモがてら書いていきます。 ちなみに、今回はHeroku CLIを既に入れているという前提で紹介するので、あしからず。 1、HerokuにRailsアプリを入れる準備をする まずは、Herokuに自身のアプリを入…